> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns a specific automation for a projecttemplate.

GET https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}

Returns a specific automation of the projecttemplate with the specified id.
Returns NotFound if the automation doesnt exist.
To get the the automation data the user needs to have 'read' permissions of
the feature 'project-manage-config' globally.The user must be an admin or have `project-manage-config:read` permissions.

Reference: https://developers.awork.com/apiv1/project-template-automations/get-project-template-automation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `automationId` (string, required) — The id of the automation.
- `projectTemplateId` (string, required) — The id of the project template.

## Response

### 200

OK

- `id` (string, optional) — The id of the automation.
- `createdBy` (string, optional) — The id of the user who created the automation.
- `createdOn` (string, optional) — The date the automation was created.
- `updatedBy` (string, optional) — The id of the user who updated the automation.
- `updatedOn` (string, optional) — The date the automation was updated.
- `triggerId` (string, optional) — The id of the trigger which is related to the automation.
- `trigger` (Trigger, optional)
- `enabled` (boolean, optional) — Whether the automation is enabled.
- `state` (string, optional, nullable) — The state of the automation. See AutomationsService.DAL.Models.AutomationState for the possible values.
- `createdByProjectTemplate` (boolean, optional) — Whether the automation was created from an automation template of a project template.
- `projectId` (string, optional, nullable) — The id of the project which is related to the automation.
- `projectTemplateId` (string, optional, nullable) — The id of the project template which is related to the automation.
- `actions` (list of Action, optional, nullable) — The actions which is related to the automation.
- `workflowId` (string, optional, nullable) — The workflow this automation belongs to, if any.
- `createdByAutomationIdFromWorkflow` (string, optional, nullable) — The id of the workflow automation that served as the template for this automation.
- `failed` (ErrorResponse, optional) — The API error response.

## Types

### Trigger

- `updatedOn` (string, optional) — The date the trigger was updated.
- `type` (string, optional, nullable) — The type of the trigger.
- `values` (list of TriggerValue, optional, nullable) — The values of the trigger.

### Action

- `id` (string, optional) — The id of the action.
- `createdBy` (string, optional) — The id of the user who created the action.
- `createdOn` (string, optional) — The date the action was created.
- `updatedBy` (string, optional) — The id of the user who updated the action.
- `updatedOn` (string, optional) — The date the action was updated.
- `type` (string, optional, nullable) — The type of the action.
- `order` (double, optional, nullable) — The order of the action.
- `values` (list of ActionValue, optional, nullable) — The values of the action.

### ErrorResponse

The API error response.

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

### TriggerValue

- `name` (string, optional, nullable) — The name of the trigger value.
- `value` (string, optional, nullable) — The value of the trigger value.

### ActionValue

- `name` (string, optional, nullable) — The name of the action value.
- `value` (string, optional, nullable) — The value of the action value.

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Response**

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2024-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2024-01-15T09:30:00Z",
  "triggerId": "123e4567-e89b-12d3-a456-426614174000",
  "trigger": {
    "updatedOn": "2024-01-15T09:30:00Z",
    "type": "task-created",
    "values": [
      {
        "name": "name",
        "value": "Design"
      }
    ]
  },
  "enabled": true,
  "state": "string",
  "createdByProjectTemplate": false,
  "projectId": "123e4567-e89b-12d3-a456-426614174000",
  "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
  "actions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdOn": "2024-01-15T09:30:00Z",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedOn": "2024-01-15T09:30:00Z",
      "type": "tag-add-task",
      "order": 2,
      "values": [
        {
          "name": "tag",
          "value": "Design"
        }
      ]
    }
  ],
  "workflowId": "123e4567-e89b-12d3-a456-426614174000",
  "createdByAutomationIdFromWorkflow": "123e4567-e89b-12d3-a456-426614174000",
  "failed": {
    "code": "not-found",
    "description": "There is no matching path for this URL.",
    "link": "https://developers.awork.com",
    "details": [
      "No project with the id '123' exists."
    ],
    "validationErrors": [
      {
        "property": "FirstName",
        "message": "FirstName is required."
      }
    ],
    "traceId": "a65ce5745df02af216715ff06661fb3a"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```